Skip to content

HCL Digital Experience 9.5 System Requirements

Your environment must meet minimum system requirements for 9.5 and later releases of HCL Digital Experience. Higher maintenance levels, such as fix packs and service packs, may be supported as they become available. You can find updates in this document, and some may be made available through HCL channels.

For detailed system requirements of other HCL Digital Experience offerings, see System Requirements.

Detailed system requirements represent the complete lists of hardware requirements, supported operating systems, prerequisites, and optional supported software, with component-level details and operating system restrictions.


Last update: September 12, 2022